Subject: bug#4599: 23.1.50; VC (CVS) fails to show directory status

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 1 Oct 2009 09:22:49 -0700 (PDT)

Stefan Monnier <[email-masked]> writes:

  > > - Some operations, when done on a directory name in vc-dir fail; for
  > > example, I just pressed '+' when on a directory name (containing only
  > > 'need-update' files), and got the error "vc-cvs-merge-news: Couldn't
  > > analyze cvs update result". The *vc* buffer has normal CVS output at
  > > that point ("cvs update: Updating ." followed by a bunch of P lines);
  > > my guess it's that first line that confuses VC. Again, the operation
  > > does indeed succeed, so it's not a big deal.
  > 
  > Hmm... looks like vc-cvs-merge-news needs a lot of work,

And `vc-update' too, the fact that it loops through the files and
updates them one by one is not the best idea, it should probably
delegate this to a VC-backend specific function.